Skip to main content
Platform O&M/Backup Management/Backup Service (Plus)/Backup Service Operations
GETBackup Service OperationsSince 3.0.0SynchronousAuth Required

QueryDatabaseBackup

QueryDatabaseBackup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories

    • uuidStringRequired

      The UUID of the database backup.

    • nameStringRequired

      The name of the backup.

    • descriptionStringRequired

      The detailed description of the backup.

    • stateStringRequired

      当前状态。

    • statusStringRequired

      状态信息。

    • sizeLongRequired

      返回记录数。

    • metadataStringRequired

      附加元数据。

    • createDateTimestampRequired

      The time when the backup was created.

    • lastOpDateTimestampRequired

      The time when the backup was last modified.

    • backupStorageRefsListRequired

      See backupStorageRefs

      • databaseBackupUuidStringRequired

        数据库备份UUID。

      • backupStorageUuidStringRequired

        The UUID of the backup storage.

      • installPathStringRequired

        安装路径。

      • exportUrlStringRequired

        导出地址。

      • statusStringRequired

        状态信息。

      • createDateTimestampRequired

        The time when the backup was created.

      • lastOpDateTimestampRequired

        The time when the backup was last modified.

Endpoint

GET/zstack/v1/database-backups

/zstack/v1/database-backups

Operation ID

QueryDatabaseBackup

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/database-backups' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "742a7c7d4a4f3a01b206632a40ac414f", "name": "db-backup", "description": "db-backup", "size": 13107.0 } ] }

Change History

This API has no change history records yet.

View all change history